Package org.eclipse.rdf4j.common.iteration

## Class LimitIteration<E,​X extends Exception>

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<E,​X>
    - - org.eclipse.rdf4j.common.iteration.LimitIteration<E,​X>

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<E,​X>`, `Iteration<E,​X>`

      public class LimitIteration<E,​X extends Exception>
      extends IterationWrapper<E,​X>

  An Iteration that limits the amount of elements that it returns from an underlying Iteration to a fixed amount. This class returns the first limit elements from the underlying Iteration and drops the rest.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LimitIteration​(Iteration<? extends E,​X> iter, long limit)` | Creates a new LimitIteration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` | Checks whether the wrapped Iteration contains more elements, closing this Iteration when this is not the case.
    `E` | `next()` | Returns the next element from the wrapped Iteration.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `handleClose, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### LimitIteration

          public LimitIteration​(Iteration<? extends E,​X> iter,
                                long limit)

      Creates a new LimitIteration.
      Parameters:
        `iter` - The underlying Iteration, must not be null.
        `limit` - The number of query answers to return, must be >= 0.

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()
                          throws X extends Exception

      Description copied from class: `IterationWrapper`
      Checks whether the wrapped Iteration contains more elements, closing this Iteration when this is not the case.
      Specified by:
        `hasNext` in interface `Iteration<E,​X extends Exception>`
      Overrides:
        `hasNext` in class `IterationWrapper<E,​X extends Exception>`
      Returns:
        true if the wrapped Iteration contains more elements, false otherwise.
      Throws:
        `X`
        `X extends Exception`

    - #### next

          public E next()
                 throws X extends Exception

      Description copied from class: `IterationWrapper`
      Returns the next element from the wrapped Iteration.
      Specified by:
        `next` in interface `Iteration<E,​X extends Exception>`
      Overrides:
        `next` in class `IterationWrapper<E,​X extends Exception>`
      Returns:
        the next element in the iteration.
      Throws:
        `X extends Exception`